- [HTTP request](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countInstalledApps#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countInstalledApps#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countInstalledApps#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countInstalledApps#body.request_body)
- [Response body](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countInstalledApps#body.response_body)
  - [JSON representation](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countInstalledApps#body.CountInstalledAppsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countInstalledApps#body.aspect)
- [InstalledApp](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countInstalledApps#InstalledApp)
  - [JSON representation](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countInstalledApps#InstalledApp.SCHEMA_REPRESENTATION)
- [AppInstallType](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countInstalledApps#AppInstallType)
- [AppSource](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countInstalledApps#AppSource)
- [RiskAssessmentData](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countInstalledApps#RiskAssessmentData)
  - [JSON representation](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countInstalledApps#RiskAssessmentData.SCHEMA_REPRESENTATION)
- [RiskAssessmentEntry](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countInstalledApps#RiskAssessmentEntry)
  - [JSON representation](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countInstalledApps#RiskAssessmentEntry.SCHEMA_REPRESENTATION)
- [RiskAssessmentProvider](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countInstalledApps#RiskAssessmentProvider)
- [RiskAssessment](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countInstalledApps#RiskAssessment)
  - [JSON representation](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countInstalledApps#RiskAssessment.SCHEMA_REPRESENTATION)
- [RiskLevel](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countInstalledApps#RiskLevel)
- [Try it!](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countInstalledApps#try-it)

Generate report of app installations.

### HTTP request

`GET https://chromemanagement.googleapis.com/v1/{customer=customers/*}/reports:countInstalledApps`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `customer` | `string` Required. Customer id or "my_customer" to use the customer associated to the account making the request. |

### Query parameters

| Parameters ||
|---|---|
| `orgUnitId` | `string` The ID of the organizational unit. |
| `pageSize` | `integer` Maximum number of results to return. Maximum and default are 100. |
| `pageToken` | `string` Token to specify the page of the request to be returned. |
| `filter` | `string` Query string to filter results, AND-separated fields in EBNF syntax. Note: OR operations are not supported in this filter. Supported filter fields: - app_name - appType - install_type - number_of_permissions - total_install_count - latest_profile_active_date - permission_name - appId - manifest_versions - risk_score |
| `orderBy` | `string` Field used to order results. Supported order by fields: - app_name - appType - install_type - number_of_permissions - total_install_count - appId - manifest_versions - risk_score |

### Request body

The request body must be empty.

### Response body

Response containing details of queried installed apps.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "installedApps": [ { object (`https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countInstalledApps#InstalledApp`) } ], "nextPageToken": string, "totalSize": integer } ``` |

| Fields ||
|---|---|
| `installedApps[]` | ``object (`https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countInstalledApps#InstalledApp`)`` List of installed apps matching request. |
| `nextPageToken` | `string` Token to specify the next page of the request. |
| `totalSize` | `integer` Total number of installed apps matching request. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/chrome.management.reports.readonly`

## InstalledApp

Describes an installed app.

| JSON representation |
|---|
| ``` { "appId": string, "appType": enum (`https://developers.google.com/chrome/management/reference/rest/v1/AppType`), "browserDeviceCount": string, "osUserCount": string, "profileCount": string, "appInstallType": enum (`https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countInstalledApps#AppInstallType`), "disabled": boolean, "appSource": enum (`https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countInstalledApps#AppSource`), "displayName": string, "description": string, "homepageUri": string, "permissions": [ string ], "riskAssessment": { object (`https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countInstalledApps#RiskAssessmentData`) } } ``` |

| Fields ||
|---|---|
| `appId` | `string` Output only. Unique identifier of the app. For Chrome apps and extensions, the 32-character id (e.g. ehoadneljpdggcbbknedodolkkjodefl). For Android apps, the package name (e.g. com.evernote). |
| `appType` | ``enum (`https://developers.google.com/chrome/management/reference/rest/v1/AppType`)`` Output only. Type of the app. |
| `browserDeviceCount` | `string (https://developers.google.com/discovery/v1/type-format format)` Output only. Count of browser devices with this app installed. |
| `osUserCount` | `string (https://developers.google.com/discovery/v1/type-format format)` Output only. Count of ChromeOS users with this app installed. |
| `profileCount` | `string (https://developers.google.com/discovery/v1/type-format format)` Output only. Count of Chrome Profiles with this app installed. |
| `appInstallType` | ``enum (`https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countInstalledApps#AppInstallType`)`` Output only. How the app was installed. |
| `disabled` | `boolean` Output only. Whether the app is disabled. |
| `appSource` | ``enum (`https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countInstalledApps#AppSource`)`` Output only. Source of the installed app. |
| `displayName` | `string` Output only. Name of the installed app. |
| `description` | `string` Output only. Description of the installed app. |
| `homepageUri` | `string` Output only. Homepage uri of the installed app. |
| `permissions[]` | `string` Output only. Permissions of the installed app. |
| `riskAssessment` | ``object (`https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countInstalledApps#RiskAssessmentData`)`` Output only. If available, the risk assessment data about this extension. |

## AppInstallType

How the app was installed. If not all instances of this installed app have the same install type, then the install type is MULTIPLE.

| Enums ||
|---|---|
| `APP_INSTALL_TYPE_UNSPECIFIED` | Application install type not specified. |
| `MULTIPLE` | Multiple app install types. |
| `NORMAL` | Normal app install type. |
| `ADMIN` | Administrator app install type. |
| `DEVELOPMENT` | Development app install type. |
| `SIDELOAD` | Sideloaded app install type. |
| `OTHER` | Other app install type. |

## AppSource

Source of the installed app.

| Enums ||
|---|---|
| `APP_SOURCE_UNSPECIFIED` | Application source not specified. |
| `CHROME_WEBSTORE` | Generally for extensions and Chrome apps. |
| `PLAY_STORE` | Play Store app. |

## RiskAssessmentData

Risk assessment data about an extension/app.

| JSON representation |
|---|
| ``` { "entries": [ { object (`https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countInstalledApps#RiskAssessmentEntry`) } ], "overallRiskLevel": enum (`https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countInstalledApps#RiskLevel`) } ``` |

| Fields ||
|---|---|
| `entries[]` | ``object (`https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countInstalledApps#RiskAssessmentEntry`)`` Individual risk assessments. |
| `overallRiskLevel` | ``enum (`https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countInstalledApps#RiskLevel`)`` Overall assessed risk level across all entries. This will be the highest risk level from all entries. |

## RiskAssessmentEntry

One risk assessment entry.

| JSON representation |
|---|
| ``` { "provider": enum (`https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countInstalledApps#RiskAssessmentProvider`), "riskAssessment": { object (`https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countInstalledApps#RiskAssessment`) }, "riskLevel": enum (`https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countInstalledApps#RiskLevel`) } ``` |

| Fields ||
|---|---|
| `provider` | ``enum (`https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countInstalledApps#RiskAssessmentProvider`)`` Output only. The risk assessment provider from which this entry comes from. |
| `riskAssessment` | ``object (`https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countInstalledApps#RiskAssessment`)`` Output only. The details of the provider's risk assessment. |
| `riskLevel` | ``enum (`https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countInstalledApps#RiskLevel`)`` Output only. The bucketed risk level for the risk assessment. |

## RiskAssessmentProvider

Risk assessment providers.

| Enums ||
|---|---|
| `RISK_ASSESSMENT_PROVIDER_UNSPECIFIED` | Default value when no provider is specified. |
| `RISK_ASSESSMENT_PROVIDER_CRXCAVATOR` | CRXcavator. |
| `RISK_ASSESSMENT_PROVIDER_SPIN_AI` | Spin.Ai. |
| `RISK_ASSESSMENT_PROVIDER_LAYERX` | LayerX Security. |
| `RISK_ASSESSMENT_PROVIDER_SPIN_AI_V2` | Spin.AI V2. |

## RiskAssessment

Risk assessment for a Chrome extension.

| JSON representation |
|---|
| ``` { "assessment": string, "detailsUrl": string, "version": string } ``` |

| Fields ||
|---|---|
| `assessment` | `string` Risk assessment for the extension. Currently, this is a numerical value, and its interpretation is specific to each risk assessment provider. |
| `detailsUrl` | `string` A URL that a user can navigate to for more information about the risk assessment. |
| `version` | `string` The version of the extension that this assessment applies to. |

## RiskLevel

Bucketed risk level for an extension/app.

| Enums ||
|---|---|
| `RISK_LEVEL_UNSPECIFIED` | Risk level not specified. |
| `RISK_LEVEL_LOW` | Extension that represents a low risk. |
| `RISK_LEVEL_MEDIUM` | Extension that represents a medium risk. |
| `RISK_LEVEL_HIGH` | Extension that represents a high risk. |